Bug 1390250 - Python packages tests directory co-ownership
Summary: Python packages tests directory co-ownership
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-journal-brief
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-31 14:45 UTC by Athos Ribeiro
Modified: 2017-07-26 16:40 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-07-26 16:40:13 UTC


Attachments (Terms of Use)

Description Athos Ribeiro 2016-10-31 14:45:53 UTC
Hello,

this package owns

/usr/lib/pythonX/site-packages/tests

Is there any special reason for that? Should it actually ship the package test suite after %check?

There are different packages owning that directory without properly reserving a namespace, which could lead to different packages owning different files with the same name.

Please, see https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/UPN6K3BPR2ZV53OEB5P4PPOA36AKEMV2/ for reference.

Comment 1 Fedora Update System 2016-11-01 10:36:28 UTC
python-journal-brief-1.1.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-488b95c976

Comment 2 Fedora Update System 2016-11-05 03:30:51 UTC
python-journal-brief-1.1.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-488b95c976

Comment 3 Fedora End Of Life 2017-07-25 23:42:10 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.